%global momorel 1
%global srcname lib%{name}

Summary: Native C++ bindings for D-Bus
Name: dbus-c++
Version: 0.9.0
Release: %{momorel}m%{?dist}
License: LGPLv2+
Group: System Environment/Libraries
URL: https://sourceforge.net/projects/dbus-cplusplus/
Source0: https://downloads.sourceforge.net/dbus-cplusplus/%{srcname}-%{version}.tar.gz
NoSource: 0
Patch0: %{name}-gcc4.7.patch
Patch1: %{name}-linkfix.patch
Patch2: %{name}-macro_collision.patch
Patch3: %{name}-threading.patch
Patch4: %{name}-writechar.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: autogen
BuildRequires: dbus-devel
BuildRequires: expat-devel
BuildRequires: glib2-devel
Buildrequires: gtkmm-devel
Buildrequires: libtool
BuildRequires: sed

%description
Native C++ bindings for D-Bus for use in C++ programs.

%package devel
Summary: Development files for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q -n %{srcname}-%{version}

%patch0 -p1 -b .gcc47
%patch1 -p1 -b .linkfix
%patch2 -p1 -b .collision
%patch3 -p1 -b .threading
%patch4 -p1 -b .writechar

sed -i 's/\r//' AUTHORS
sed -i 's/libtoolize --force --copy/libtoolize -if --copy/' bootstrap

./autogen.sh

%build
export CPPFLAGS="%{optflags}" CXXFLAGS="%{optflags} -std=gnu++11"

%configure \
	--disable-static \
	--enable-glib \
	PTHREAD_LIBS=-lpthread

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

find %{buildroot} -name '*.la' -exec rm -f {} ';'

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING INSTALL README TODO
%{_bindir}/dbusxx-introspect
%{_bindir}/dbusxx-xml2cpp
%{_libdir}/%{srcname}-*.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/%{name}-1
%{_libdir}/pkgconfig/%{name}-*.pc
%{_libdir}/%{srcname}-*.so

%changelog
* Fri Jun  2 2017 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.0-1m)
- version 0.9.0
- rewrite spec file
- fix build by gcc7

* Thu Jun 28 2012 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.5.0-0.20090203git13281b3.5m)
- rebuild for glib 2.33.2

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.5.0-0.20090203git13281b3.4m)
- rebuild for new GCC 4.6

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.5.0-0.20090203git13281b3.3m)
- rebuild for new GCC 4.5

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.5.0-0.20090203git13281b3.2m)
- full rebuild for mo7 release

* Sat Jul 24 2010 Masahiro Takahata <takahata@momonga-linux.org>
- (0.5.0-0.20090203git13281b3.1m)
- import from Fedora

* Sat Feb 13 2010 Adel Gadllah <adel.gadllah@gmail.com> - 0.5.0-0.11.20090203git13281b3
- Fix FTBS (RH #565052)

* Fri Jul 31 2009 Adel Gadllah <adel.gadllah@gmail.com> - 0.5.0-0.10.20090203git13281b3
- Fix build

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.0-0.9.20090203git13281b3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.0-0.8.20090203git13281b3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Feb 18 2009 Adel Gadllah <adel.gadllah@gmail.com> - 0.5.0-0.7.20090203git13281b3
- bump..

* Wed Feb 18 2009 Adel Gadllah <adel.gadllah@gmail.com> - 0.5.0-0.6.20090203git13281b3
- Fix build with new gcc

* Wed Feb 18 2009 Adel Gadllah <adel.gadllah@gmail.com> - 0.5.0-0.5.20090203git13281b3
- Add the ability to get the senders unix userid (Patch by Jiri Moskovcak)

* Tue Feb 03 2009 Adel Gadllah <adel.gadllah@gmail.com> - 0.5.0-0.4.20090203git13281b3
- Update to new git snapshot
- Should fix RH #483418

* Wed Jul 16 2008 Adel Gadllah <adel.gadllah@gmail.com> - 0.5.0-0.3.20080716git1337c65
- Generate tarball with git-archive
- Fix cflags

* Wed Jul 16 2008 Adel Gadllah <adel.gadllah@gmail.com> - 0.5.0-0.2.20080716git1337c65
- Add commit id to version

* Wed Jul 16 2008 Adel Gadllah <adel.gadllah@gmail.com> - 0.5.0-0.1.20080716git
- Initial package
